package cn.com.victorysoft.business.condition.dao;

import cn.com.victorysoft.business.condition.entity.AbnormalWell;
import cn.com.victorysoft.business.condition.entity.AdjustRecord;
import cn.com.victorysoft.business.condition.param.AbnormalWellParam;
import cn.com.victorysoft.business.sys.param.UnitBlockWellPageParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;

@Mapper
public interface AbnormalWellDao {
    List<AbnormalWell> selectList(AbnormalWellParam param);

    int deleteByPrimaryKey(AbnormalWell key);

    int deleteByDate(Date date);

    int insert(AbnormalWell record);

    AbnormalWell selectByPrimaryKey(AbnormalWell key);

    int updateByPrimaryKeySelective(AbnormalWell record);

    int updateByPrimaryKey(AbnormalWell record);
}